Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageInvoice

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageInvoice

Enclosing class:
  TdApi

public static final class TdApi.MessageInvoice extends TdApi.MessageContent
A message with an invoice from a bot. Use getInternalLink with internalLinkTypeBotStart to share the invoice.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`currency`
Currency for the product price.
`TdApi.FormattedText`
`description`
Product description.
`TdApi.MessageExtendedMedia`
`extendedMedia`
Extended media attached to the invoice; may be null.
`boolean`
`isTest`
True, if the invoice is a test invoice.
`boolean`
`needShippingAddress`
True, if the shipping address must be specified.
`TdApi.Photo`
`photo`
Product photo; may be null.
`long`
`receiptMessageId`
The identifier of the message with the receipt, after the product has been purchased.
`String`
`startParameter`
Unique invoice bot startParameter to be passed to getInternalLink.
`String`
`title`
Product title.
`long`
`totalAmount`
Product total price in the smallest units of the currency.

## Constructor Summary

Constructors
Constructor
Description
`MessageInvoice()`
A message with an invoice from a bot.
`MessageInvoice(DataInput input)`
A message with an invoice from a bot.
`MessageInvoice(String title, TdApi.FormattedText description, TdApi.Photo photo, String currency, long totalAmount, String startParameter, boolean isTest, boolean needShippingAddress, long receiptMessageId, TdApi.MessageExtendedMedia extendedMedia)`
A message with an invoice from a bot.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### title

public String title
Product title.

### description

public TdApi.FormattedText description
Product description.

### photo

public TdApi.Photo photo
Product photo; may be null.

### currency

public String currency
Currency for the product price.

### totalAmount

public long totalAmount
Product total price in the smallest units of the currency.

### startParameter

public String startParameter
Unique invoice bot startParameter to be passed to getInternalLink.

### isTest

public boolean isTest
True, if the invoice is a test invoice.

### needShippingAddress

public boolean needShippingAddress
True, if the shipping address must be specified.

### receiptMessageId

public long receiptMessageId
The identifier of the message with the receipt, after the product has been purchased.

### extendedMedia

public TdApi.MessageExtendedMedia extendedMedia
Extended media attached to the invoice; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageInvoice

public MessageInvoice()
A message with an invoice from a bot. Use getInternalLink with internalLinkTypeBotStart to share the invoice.

### MessageInvoice

public MessageInvoice(String title, TdApi.FormattedText description, TdApi.Photo photo, String currency, long totalAmount, String startParameter, boolean isTest, boolean needShippingAddress, long receiptMessageId, TdApi.MessageExtendedMedia extendedMedia)
A message with an invoice from a bot. Use getInternalLink with internalLinkTypeBotStart to share the invoice.

Parameters:
  `title` - Product title.
  `description` - Product description.
  `photo` - Product photo; may be null.
  `currency` - Currency for the product price.
  `totalAmount` - Product total price in the smallest units of the currency.
  `startParameter` - Unique invoice bot startParameter to be passed to getInternalLink.
  `isTest` - True, if the invoice is a test invoice.
  `needShippingAddress` - True, if the shipping address must be specified.
  `receiptMessageId` - The identifier of the message with the receipt, after the product has been purchased.
  `extendedMedia` - Extended media attached to the invoice; may be null.

### MessageInvoice

public MessageInvoice(DataInput input) throws IOException
A message with an invoice from a bot. Use getInternalLink with internalLinkTypeBotStart to share the invoice.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`